Subject: iSCSI: TargetAddress format

From: "Lakshmi Ramasubramanian" <[email-masked]>
Date: Thu, 16 May 2002 10:58:50 -0700

The format of TargetAddress (Section 11.8) is given as 
 
 TargetAddress=domainname[:port][,portal-group-tag]
 
In the examples given 
 
 TargetAddress=[1080:0:0:0:8:800:200C:417A],65
 TargetAddress=[1080::8:800:200C:417A]:5003,1
 
What does the value within brackets indicate? Is it
an IPv6 address?
 
thanks!
 -lakshmi

---

From: Mark Bakke <[email-masked]>
Date: Thu, 16 May 2002 13:19:34 -0500

Lakshmi-

Bracketed values are IPv6; the brackets are needed so address
components are not confused with the :tcp-port.  It's meant
to match RFC2732, so we wouldn't invent something new.

IPv4 addresses are just dotted-decimal without the brackets.

I just noticed that I never quite documented this; it just refers
to appendix D (sendtargets) which doesn't discuss IPv6 addresses.

The description of IPv6 (in appendix D) is also wrong.  I'll
look at a new wording for this one.

--
Mark

> Lakshmi Ramasubramanian wrote:
> 

-- 
Mark A. Bakke
Cisco Systems
[email-masked]
763.398.1054

---

From: Bill Studenmund <[email-masked]>
Date: Thu, 16 May 2002 12:55:46 -0700 (PDT)

> What does the value within brackets indicate? Is it

Yes.

Take care,

Bill